Codebase list live-installer / 8508d0a
Pass || true to mount otherwise the support plugins does fail. r47621 Otavio Salvador 16 years ago
3 changed file(s) with 6 addition(s) and 6 deletion(s). Raw diff Collapse all Expand all
0 #!/bin/sh
0 #!/bin/sh -e
11
22 PLACES="$PLACES /cdrom/live/filesystem.ext2"
33 PLACES="$PLACES /cdrom/casper/filesystem.ext2" # Etch support
66 modprobe ext2 || true
77
88 mkdir -p /mnt
9 umount /mnt > /dev/null 2>&1
9 umount /mnt > /dev/null 2>&1 || true
1010 if ! mount -t ext2 -o loop $place /mnt; then
1111 error "$place has failed to be mounted as ext2."
1212 exit 1
0 #!/bin/sh
0 #!/bin/sh -e
11
22 PLACES="$PLACES /cdrom/live/filesystem.ext3"
33 PLACES="$PLACES /cdrom/casper/filesystem.ext3" # Etch support
66 modprobe ext3 || true
77
88 mkdir -p /mnt
9 umount /mnt > /dev/null 2>&1
9 umount /mnt > /dev/null 2>&1 || true
1010 if ! mount -t ext3 -o loop $place /mnt; then
1111 error "$place has failed to be mounted as ext3."
1212 exit 1
0 #!/bin/sh
0 #!/bin/sh -e
11
22 PLACES="$PLACES /cdrom/live/filesystem.squashfs"
33 PLACES="$PLACES /cdrom/casper/filesystem.squashfs" # Etch support
66 modprobe squashfs || true
77
88 mkdir -p /mnt
9 umount /mnt > /dev/null 2>&1
9 umount /mnt > /dev/null 2>&1 || true
1010 if ! mount -t squashfs -o loop $place /mnt; then
1111 error "$place has failed to be mounted as squashfs."
1212 exit 1